# Uses of Interface
org.apache.lucene.search.highlight.Fragmenter

Packages that use Fragmenter
Package
Description
org.apache.lucene.search.highlight
Highlighting search terms.

- ## Uses of Fragmenter in org.apache.lucene.search.highlight

  Classes in org.apache.lucene.search.highlight that implement Fragmenter
  Modifier and Type
  Class
  Description
  `class`
  `NullFragmenter`
  `Fragmenter` implementation which does not fragment the text.
  `class`
  `SimpleFragmenter`
  `Fragmenter` implementation which breaks text up into same-size fragments with no concerns over spotting sentence boundaries.
  `class`
  `SimpleSpanFragmenter`
  `Fragmenter` implementation which breaks text up into same-size fragments but does not split up `Spans`.
  Methods in org.apache.lucene.search.highlight that return Fragmenter
  Modifier and Type
  Method
  Description
  `Fragmenter`
  Highlighter.`getTextFragmenter()`
  Methods in org.apache.lucene.search.highlight with parameters of type Fragmenter
  Modifier and Type
  Method
  Description
  `void`
  Highlighter.`setTextFragmenter(Fragmenter fragmenter)`